Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.tm.iiop
Class TransactionFactoryExtPOATie

    java.lang.Object
      org.omg.PortableServer.Servant
          org.jboss.tm.iiop.TransactionFactoryExtPOA
              org.jboss.tm.iiop.TransactionFactoryExtPOATie

All Implemented Interfaces:
  InvokeHandler, TransactionFactoryExtOperations, org.omg.CosTransactions.TransactionFactoryOperations

public class TransactionFactoryExtPOATie
extends TransactionFactoryExtPOA

Generated from IDL interface "TransactionFactoryExt"

Author:
  JacORB IDL compiler V 2.2 (JBoss patch 2), 08-Jun-2004

Constructor Summary
`TransactionFactoryExtPOATie(TransactionFactoryExtOperations delegate)`
`TransactionFactoryExtPOATie(TransactionFactoryExtOperations delegate, POA poa)`

Method Summary
`POA` | `_default_POA()`
`TransactionFactoryExtOperations` | `_delegate()`
`void` | `_delegate(TransactionFactoryExtOperations delegate)`
`TransactionFactoryExt` | `_this()`
`TransactionFactoryExt` | `_this(ORB orb)`
`TransactionDesc` | `create_transaction(int time_out)`
`org.omg.CosTransactions.Control` | `create(int time_out)`
`org.omg.CosTransactions.Control` | `recreate(org.omg.CosTransactions.PropagationContext ctx)`

Methods inherited from class org.jboss.tm.iiop.TransactionFactoryExtPOA
`_all_interfaces, _invoke`

Methods inherited from class org.omg.PortableServer.Servant
`_get_delegate, _get_interface_def, _is_a, _non_existent, _object_id, _orb, _poa, _set_delegate, _this_object, _this_object`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransactionFactoryExtPOATie

    public TransactionFactoryExtPOATie(TransactionFactoryExtOperations delegate)

### TransactionFactoryExtPOATie

    public TransactionFactoryExtPOATie(TransactionFactoryExtOperations delegate,
                                       POA poa)

Method Detail

### _this

    public TransactionFactoryExt _this()

  Overrides:
    `_this` in class `TransactionFactoryExtPOA`

### _this

    public TransactionFactoryExt _this(ORB orb)

  Overrides:
    `_this` in class `TransactionFactoryExtPOA`

### _delegate

    public TransactionFactoryExtOperations _delegate()

### _delegate

    public void _delegate(TransactionFactoryExtOperations delegate)

### _default_POA

    public POA _default_POA()

### create

    public org.omg.CosTransactions.Control create(int time_out)

### recreate

    public org.omg.CosTransactions.Control recreate(org.omg.CosTransactions.PropagationContext ctx)

### create_transaction

    public TransactionDesc create_transaction(int time_out)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.